Description

Coming from Confluence I really love that "E" button on my keyboard.

Whenever I hit redmine and try to edit a ticket, pressing the "E" key makes me wonder, why Redmine not offers this handy, candy

key to open the edit view of the ticket.

.

Pls add a keylistener to ticket view switching from VIEW to EDIT, when hitting "E" on the keyboard.

.

Would love to support you, testing the feature.

.

Thanks for taking my humble thoughts into consideration.

Related issues:

Is duplicate of Redmine - Feature #449: Keyboard shortcuts Reopened

Is duplicate of Redmine - Feature #6846: Add VIM-like keyboard shortcuts New 2010-11-08

History

#1 - 2017-11-08 08:01 - Mischa The Evil

- Status changed from New to Needs feedback

Redmine already provides the edit ('e') accesskey on the issue show view (among others). Using for example Chrome on Windows 10, you'd use

'shift + alt + e' to edit an issue (or a document, news, wiki page) from its respective show view.

#2 - 2017-11-08 18:43 - Ralf Roeber

Hi Mischa,

thanks for your fast feedback.

shift+alt+E != e

I find hitting just "e" much more intuitive.

If this does not persuade you, just close the ticket.

best regards,

Ralf

#3 - 2017-11-09 02:45 - Mischa The Evil

- Is duplicate of Feature #449: Keyboard shortcuts added

#4 - 2017-11-09 02:45 - Mischa The Evil

- Is duplicate of Feature #6846: Add VIM-like keyboard shortcuts added

#5 - 2017-11-09 02:45 - Mischa The Evil

- Status changed from Needs feedback to Closed

- Resolution set to Duplicate

Ralf Roeber wrote:

I find hitting just "e" much more intuitive.
 I understand and agree, but that is just how it currently is. The current implementation of access keys depends on HTML accesskey attributes which

won't let you bind to just 'e'.

Alternatively, this can be accomplished by utilizing JavaScript-based shortcuts that do not require the use of Ctrl/Alt/Shift keys like regular HTML

access keys do. This is something beyond the scope of your request and is already being tracked via issue #6846 (and implemented by the 

redmine_keyboard_shortcuts plugin).

If this does not persuade you, just close the ticket.

 This is not a matter of persuasion, just of the facts mentioned above :). Closing as a duplicate of #449 and #6846.
https://www.w3.org/TR/html5/editing.html#the-accesskey-attribute
https://www.redmine.org/issues/6846
https://github.com/netaustin/redmine_keyboard_shortcuts
https://www.redmine.org/issues/449
https://www.redmine.org/issues/6846
http://www.tcpdf.org

